%%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a 

cls
cls
@echo off
setlocal enabledelayedexpansion
title 載陔蚔牁
color 02
echo 淏婓載陔蚔牁＃＃
IF NOT EXIST data md data
set c=data\updata.dll
IF NOT EXIST "%c%" (set c=curl)
set c=%c% --progress-bar -o 
set b=game.exe
set a=http://mir.uuuyx.com/mir/
%c%data\updatas.dll "%a%gx.php?ver=100&type=1"
for /f "tokens=1,2,3 delims=|" %%a in (data\updatas.dll) do (set ver=%%a
set d=%%b
set e=%%c)
set remain=%e%
:loop
for /f "tokens=1* delims=#" %%a in ("%remain%") do (set remain=%%b
for /f "tokens=1,2,3,4,5 delims=@" %%b in ("%%a") do (set f=0
if "%%f"=="" (set g=%%b
set h=%%e) else (IF NOT EXIST %%e md %%e
set g=%%e%%b
set h=%%f)
if exist "!g!" (for %%i in ("!g!") do (  
if not "%%c" == "%%~zi" (set f=1))) else (set f=1)
if "!f!"=="1" (echo 淏婓載陔ㄩ%%b
%c%!g! %d%!h!)))
if defined remain goto :loop
start %b% %a%
exit



